
const int buttonPin = D3; // push button pin
const int ledPin = D8; // LED pin

// variables
int buttonState = 0; // variable for reading the push button status

void setup() {
  // init LED pin as output:
pinMode(ledPin, OUTPUT);
//init push button pin as input:
pinMode(buttonPin, INPUT_PULLDOWN);
}

void loop() {
  // read state of push button value:
  buttonState = digitalRead(buttonPin);

  //check if push button is pressed. If yes, buttonState is HIGH:
  if (buttonState == HIGH) {
    //Turn LED on:
  digitalWrite(ledPin, HIGH);
  } else {
    //Turn LED off:
    digitalWrite(ledPin, LOW);
  }

}
